/*
   This file is placed in the public domain by its author, William Couture.

   Prototype definitions of the character graphics routines for
   Microsoft C V3.0
   Copyright (c) 1986 by DDI.  All Rights Reserved.
*/

#ifdef LINT_ARGS          /* type checking enabled */

unsigned long getvect();
void setvect(unsigned char *);
void restorevect(int,int);
void setbit(unsigned char *,int,int,int);
void clearbit(unsigned char *,int,int,int);
void xorbit(unsigned char *,int,int,int);
void zerochar(unsigned char *,int);
void fillchar(unsigned char *,int);
void inversechar(unsigned char *,int);
void copychar(unsigned char *,int,int);
void horizflip(unsigned char *,int);
void vertflip(unsigned char *,int);
void exchangerc(unsigned char *,int);
void shiftdown(unsigned char *,int);
void shiftup(unsigned char *,int);
void shiftleft(unsigned char *,int);
void shiftright(unsigned char *,int);
void rotatedown(unsigned char *,int);
void rotateup(unsigned char *,int);
void rotateleft(unsigned char *,int);
void rotateright(unsigned char *,int);
void grchar(int,int);
void gratchar(int,int,int,int);
void bannerleft(unsigned char *,int *,int);
void bannerright(unsigned char *,int *,int);
void bannerup(unsigned char *,int *,int);
void bannerdown(unsigned char *,int *,int);
void columnup(unsigned char *,int *,int);
void columndown(unsigned char *,int *,int);
void columnright(unsigned char *,int *,int);
void columnleft(unsigned char *,int *,int);
void loadega(unsigned char *,int,int,int);

#else

extern unsigned long getvect();
extern void setvect();
extern void restorevect();
extern void setbit();
extern void clearbit();
extern void xorbit();
extern void zerochar();
extern void fillchar();
extern void inversechar();
extern void copychar();
extern void horizflip();
extern void vertflip();
extern void exchangerc();
extern void shiftdown();
extern void shiftup();
extern void shiftleft();
extern void shiftright();
extern void rotatedown();
extern void rotateup();
extern void rotateleft();
extern void rotateright();
extern void grchar();
extern void gratchar();
extern void bannerleft();
extern void bannerright();
extern void bannerup();
extern void bannerdown();
extern void columnup();
extern void columndown();
extern void columnright();
extern void columnleft();
extern void loadega();

#endif
